يكسر iTunes 12.8.1 Safari على OS X Yosemite 10.10.5 ؛ لن يعمل Steam بعد الآن على الأنظمة القديمة

إذا كان لديك Mac وما زلت تستخدم نظام التشغيل OS X يوسمايت، إليك رسالتين مهمتين لك.

اي تيونز 12.8.1 ضد. سفاري 10.1.2

أصدرت Apple مؤخرًا iTunes 12.8.1 مع بعض إصلاحات الأخطاء للمستخدمين الذين يشغلون Yosemite أو Sierra أو High Sierra. ومع ذلك ، إذا كنت تستخدم Yosemite 10.10.5 ، فتجنب إجراء التحديث الآن – لسبب بسيط للغاية: إنه يكسر Safari 10.1.2 ، كما نرى في العديد من التقارير على الإنترنت (المنتدى الشائعاتو Twitter و Reddit و Stack Exchange والمزيد).

عند الترقية إلى الإصدار الجديد من iTunes ، يواجه بعض المستخدمين رسالة خطأ تفيد بأنه لا يمكن فتح Safari. وفقًا لمستخدم متأثر بالمشكلة ، قد يكون ذلك مرتبطًا باحتمال تحديث iTunes 12.8.1 إطار العمل MobileDevice ، الموجود في / System / Library / PrivateFrameworks / ، لإصدار غير متوافق مع Safari 10.1.2. تم إبلاغ Apple بالفعل بالمشكلة.

البدائل هي: استخدام متصفح آخر أو تحديث النظام (شيء ما إذا كان الشخص لا يزال على Yosemite 10.10.5 ، فهو بالتأكيد ليس شيئًا يريد القيام به). وعلق بعض المستخدمين أيضًا بأنهم تمكنوا من حل المشكلة عن طريق فتح Finder ، والذهاب إلى اذهب »اذهب إلى المجلد …، وكتابة / System / Library / PrivateFrameworks / وسحب ملف MobileDevice.framework إلى سلة المهملات.

دعم البخار

بالنسبة للاعبين المناوبين ، أبلغت منصة Steam أنه اعتبارًا من 1 يناير 2019 ، لن تدعم Yosemite (10.10) و Mavericks (10.9) و Mountain Lion (10.8) و Lion (10.7). وبالتالي ، اعتبارًا من بداية العام المقبل ، لن يتم تشغيل Steam Client على أنظمة التشغيل هذه بعد الآن.

بخار

لمتابعة استخدام Steam والألعاب أو المنتجات الأخرى التي تم شراؤها على النظام الأساسي ، سيحتاج المستخدمون بالضرورة إلى الترقية إلى إصدار أحدث من macOS. تفسير ذلك هو أن ميزات Steam الجديدة تحتوي على إصدار مضمن من Google Chrome ، والذي لم يعد يعمل على الإصدارات القديمة من النظام. بالإضافة إلى ذلك ، ستتطلب الإصدارات المستقبلية من النظام الأساسي الحد الأدنى من ميزات الأمان والتحديثات الموجودة في macOS El Capitan 10.11.

· • ·

ها هو التحذير. على الرغم من أن الكثيرين يفضلون جوانب معينة من الإصدارات القديمة من أنظمة تشغيل Apple – أو حتى أنهم يستخدمون بعض هذه الإصدارات بسبب أداء نظام التشغيل هذا على أجهزة معينة – إلا أننا حاليًا في نظام macOS Mojave 10.14.2 والعديد من ثغرات الأمان ، نقاط الضعف الهامة وأكثر من ذلك الحين تم إغلاقها.

إذن ، لا يمكن أن يكون اقتراحنا سوى التوصية بالترقية إلى أحدث إصدارات macOS. إذا كان لديك جهاز Mac متوافق ، بالطبع. ?

عبر الشائعات: 1 ، 2